function love.conf(t)
  t.title = "Steamy"
  t.author = "Nicholas Carlson"
  
  t.console = false
  t.release = false

  t.modules.event = true
  t.modules.keyboard = true
  t.modules.mouse = true
  t.modules.timer = true
  t.modules.joystick = true
  t.modules.image = true
  t.modules.graphics = true
  t.modules.audio = true
  t.modules.math = true
  t.modules.physics = true
  t.modules.sound = true
  t.modules.font = true
  t.modules.thread = true
  t.modules.window = true

  local desktopfull = {
    width = 1920,
    height = 1080,
    fullscreen = false,
    vsync = false,
    fsaa = 16,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local desktopbig = {
    width = 1600,
    height = 900,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local desktop = {
    width = 1536,
    height = 864,
    fullscreen = false,
    vsync = false,
    fsaa = 16,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local desktop720 = {
    width = 1280,
    height = 720,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local tiny = {
    width = 640,
    height = 360,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local oldschool = {
    width = 640,
    height = 480,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local square = {
    width = 640,
    height = 640,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local laptop = {
    width = 1152,
    height = 648,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local desktopIpadPortrait = {
    width = 720,
    height = 960,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  local desktopIpad = {
    width = 960,
    height = 720,
    fullscreen = false,
    vsync = false,
    fsaa = 0,
    borderless = false,
    resizable = false,
    centered = true,
  }

  -- local windowSettings = desktopIpad
  -- local windowSettings = desktopIpadPortrait
  local windowSettings = desktop720
  -- local windowSettings = desktop720
  -- local windowSettings = oldschool



  t.window.width = windowSettings.width
  t.window.height = windowSettings.height
  t.window.fullscreen = windowSettings.fullscreen
  t.window.vsync = windowSettings.vsync
  t.window.fsaa = windowSettings.fsaa
  t.window.borderless = windowSettings.borderless
  t.window.resizable = windowSettings.resizable
  t.window.centered = windowSettings.centered

  gWindow = windowSettings
end