gGameState = require 'lib.hump.GameState'

gStates = {
  titlemenu = require 'game.states.titlemenu'();
}


function love.load()
  love.graphics.setDefaultMipmapFilter("linear", 0.8)
  love.graphics.setDefaultFilter("linear", "nearest")

  gGameState.switch(gStates.titlemenu)
end

function love.update(dt)
  gGameState.update(dt)
end

function love.draw()
  gGameState.draw()
end

function love.quit()
  gGameState.quit()
end

function love.mousepressed(x, y, button)
  gGameState.mousepressed(x, y, button)
end

function love.mousereleased(x, y, button)
  gGameState.mousereleased(x, y, button)
end

function love.keypressed(key, code)
  gGameState.keypressed(key, string.byte(code or key))
end

function love.keyreleased(key, code)
  gGameState.keyreleased(key, string.byte(code or key))
end